Name: sniproxy
Version: 0.6.0
Release: 1%{?dist}
Summary: Transparent TLS and HTTP layer 4 proxy with SNI support
Packager:	Anton Chen <contact@antonchen.com>
Vendor:		Fooyou,https://fooyou.org

Group: System Environment/Daemons
License: BSD
URL: https://github.com/dlundquist/sniproxy
Source0: %{name}-%{version}.tar.gz
Source1: %{name}.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: autoconf, automake, curl, libev-devel, pcre-devel, perl, gettext-devel, udns-devel

%description
Proxies incoming HTTP and TLS connections based on the hostname contained in
the initial request of the TCP session. This enables HTTPS name-based virtual
hosting to separate backend servers without installing the private key on the
proxy machine.


%prep
%setup -q


%build
./autogen.sh
%configure CFLAGS="-I/usr/include/libev"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%{__install} -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.conf


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/sniproxy
%config(noreplace) %{_sysconfdir}/%{name}.conf
%doc
%{_mandir}/man8/sniproxy.8.gz
%{_mandir}/man5/sniproxy.conf.5.gz



%changelog
* Thu Jan 10 2019 Anton Chen <contact@antonchen.com> - 0.6.0-1
- Update version to 0.6.0
* Tue Aug 22 2017 Anton Chen <contact@antonchen.com> - 0.5.0-1
- Initial version
